#include "Inventory.h"
#include "Utils/MemoryUtils.h"

#include "Datas/PointerDatas.h"

auto Inventory::getItemStack(int slot) -> ItemStack* {
	return (reinterpret_cast<ItemStack*(__thiscall*)(void*, int)>((*reinterpret_cast<void***>(this))[7]))(this, slot);
}

auto Inventory::dropSlot(int slot, bool all) -> void {
	if (Datas::Pointer::inventory_dropslot) {
		return ((void(*)(Inventory*, int, bool, bool, bool))Datas::Pointer::inventory_dropslot)(this, slot, false, all, false);
	}
	return;
}
